osl::eval::PtypeEvalTable Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Protected Attributes | List of all members
osl::eval::PtypeEvalTable Class Reference

`#include <pieceEval.h>`

Inheritance diagram for osl::eval::PtypeEvalTable:
[legend]
Collaboration diagram for osl::eval::PtypeEvalTable:
[legend]

## Public Member Functions
| PtypeEvalTable ()
| ~PtypeEvalTable ()
int | value (PtypeO ptypeO) const
| 先手から見たptypeOの駒の価値 More...
int | value (Ptype ptype) const
| ptypeの駒の価値 More...
int | promoteValue (PtypeO ptypeO) const
| ptypeOにpromoteした時の評価値の増減 More...
int | captureValue (PtypeO ptypeO) const
| ownerのptypeOがcaptureされた時の評価値の増減 More...
void | reset (const CArray< int, PTYPE_SIZE > &values)

## Protected Attributes
CArray< int, PTYPEO_SIZE > | ptypeO2Val
CArray< int, PTYPEO_SIZE > | promoteVal
CArray< int, PTYPEO_SIZE > | captureVal

## Detailed Description

Definition at line 18 of file pieceEval.h.

## Constructor & Destructor Documentation

osl::eval::PtypeEvalTable::PtypeEvalTable | ( | ) |  |

Definition at line 54 of file pieceEval.cc.

References reset().

osl::eval::PtypeEvalTable::~PtypeEvalTable | ( | ) |  |

Definition at line 70 of file pieceEval.cc.

## Member Function Documentation

int osl::eval::PtypeEvalTable::captureValue | ( | PtypeO | ptypeO) |  | const
| inline

ownerのptypeOがcaptureされた時の評価値の増減

Definition at line 53 of file pieceEval.h.

References captureVal, osl::isValidPtypeO(), and osl::PTYPEO_MIN.

Referenced by osl::eval::captureVal(), osl::search::MoveGenerator::captureValue(), osl::eval::PieceEval::captureValue(), osl::eval::See::computeValue(), osl::eval::TakeBackValue::computeValue(), osl::eval::PieceEval::diffWithMove(), and osl::move_action::EscapeFilter< P, OrigAction >::EscapeFilter().

int osl::eval::PtypeEvalTable::promoteValue | ( | PtypeO | ptypeO) |  | const
| inline

ptypeOにpromoteした時の評価値の増減

Definition at line 46 of file pieceEval.h.

References osl::isPromoted(), promoteVal, and osl::PTYPEO_MIN.

Referenced by osl::eval::See::computeValue(), osl::eval::TakeBackValue::computeValue(), and osl::eval::PieceEval::diffWithMove().

void osl::eval::PtypeEvalTable::reset | ( | const CArray< int, PTYPE_SIZE > & | values) |  |

Definition at line 74 of file pieceEval.cc.

References osl::BLACK, osl::captured(), osl::eval::captureVal(), osl::isPiece(), osl::newPtypeO(), osl::PTYPE_MAX, osl::PTYPE_MIN, osl::PTYPEO_MAX, osl::PTYPEO_MIN, osl::unpromote(), and osl::WHITE.

Referenced by osl::eval::ml::OpenMidEndingPtypeTable::OpenMidEndingPtypeTable(), and PtypeEvalTable().

int osl::eval::PtypeEvalTable::value | ( | PtypeO | ptypeO) |  | const
| inline

先手から見たptypeOの駒の価値

Definition at line 32 of file pieceEval.h.

References osl::isValidPtypeO(), ptypeO2Val, and osl::PTYPEO_MIN.

Referenced by osl::search::QuiescenceGenerator< P >::attackMajorPieceFirstSelection(), osl::move_action::EscapeFilter< P, OrigAction >::EscapeFilter(), osl::search::QuiescenceGenerator< P >::escapeFromLastMoveOtherThanPawn(), osl::search::QuiescenceGenerator< P >::escapeNormalPiece(), osl::eval::PieceEval::expect(), main(), osl::PieceBasicLessThan::operator()(), osl::move_order::CaptureEstimation::operator()(), osl::eval::PieceEval::PieceEval(), osl::search::AlphaBeta3::seePlusLight(), osl::eval::ml::PieceEval::setUp(), osl::eval::ppair::PiecePairPieceTable::setUp(), osl::eval::endgame::AttackKing::Table::Table(), osl::eval::endgame::DefenseKing::Table::Table(), osl::eval::PieceEval::update(), and osl::eval::PieceEval::value().

int osl::eval::PtypeEvalTable::value | ( | Ptype | ptype) |  | const
| inline

ptypeの駒の価値

Definition at line 39 of file pieceEval.h.

References osl::isValid(), ptypeO2Val, and osl::PTYPEO_MIN.

## Member Data Documentation

CArray<int, PTYPEO_SIZE> osl::eval::PtypeEvalTable::captureVal
| protected

Definition at line 23 of file pieceEval.h.

Referenced by captureValue().

CArray<int, PTYPEO_SIZE> osl::eval::PtypeEvalTable::promoteVal
| protected

Definition at line 22 of file pieceEval.h.

Referenced by promoteValue().

CArray<int, PTYPEO_SIZE> osl::eval::PtypeEvalTable::ptypeO2Val
| protected

Definition at line 21 of file pieceEval.h.

Referenced by value().

The documentation for this class was generated from the following files:

- pieceEval.h
- pieceEval.cc